# source
[Gentoo wiki -  Dell XPS 13 2-in-1 (7390)](https://wiki.gentoo.org/wiki/Dell_XPS_13_2-in-1_(7390))  
[Ubuntu wiki -  Dell XPS 13 2-in-1 (7390)](https://wiki.ubuntu.com/Dell/XPS/XPS-13-7390-2-in-1)
[Arch Linux  -  Dell XPS 13 2-in-1 (7390)](https://wiki.archlinux.org/index.php/Dell_XPS_13_2-in-1_(7390))  

# update zsys-setup 
to enable zfs encryption and create a swap partition right sized for hibernation.

SWAPSIZE=$(cat /proc/meminfo | grep MemTotal | awk -F' ' '{print $2}')

## enable zfs encyption

~~~
Boot the Ubuntu 20.04 Desktop installer/live CD.
Click the “Try Ubuntu” button.
Open a terminal and edit “/usr/share/ubiquity/zsys-setup”:
 Search for “zpool create”, and make sure you have found the create command that has “rpool” on the last line.
 Before the “zpool create” insert: echo MYPASSWORD |
 Before the last line of the command insert these lines:

        -O recordsize=1M \
        -O encryption=aes-256-gcm \
        -O keylocation=prompt \
        -O keyformat=passphrase \

Run ubiquity to start the installer and install as normal, selecting “Use entire disk” and the option to use ZFS.
~~~

## create swap partition to permit Hibernate

~~~
            # Convert to MiB to align the size on the size of a block                                                                                             
    	SWAPVOLSIZE=$(( SWAPSIZE / 1024 / 1024 ))

            prepare_target "${TARGET}"
            SWAPVOLSIZE=$(( 32768 ))
    	format_disk "${DISK}" "${PARTBASE}" "${PARTESP}" "${PARTBPOOL}" "${PARTRPOOL}" "${SWAPVOLSIZE}"
            init_zfs "${TARGET}" "${DISK}${PARTBASE}${PARTBPOOL}" "${DISK}${PARTBASE}${PARTRPOOL}"
    	init_system_partitions "${TARGET}" "${DISK}${PARTBASE}1" "${DISK}${PARTBASE}${PARTESP}"

~~~

source : [Linsomniac's Articles - Encrypting ZFS on Ubuntu 20.04](https://linsomniac.gitlab.io/post/2020-04-09-ubuntu-2004-encrypted-zfs/)

boot after press esc then F12

have to disable Raid ... Enable AHCI

# UHD screen

    ~~~
    !!!

    https://forum.xfce.org/viewtopic.php?id=13617

    a essayer : xfconf-query -c xsettings -p /Gdk/WindowScalingFactor -s 2

     xfconf-query -c xsettings -p /Gdk/WindowScalingFactor -s 2

    ~~~

## Changer la taille de police dans les applications Qt sous Xfce

    voir source : [https://www.ezvan.fr/taille-police-qt.html]()  

    editer : ~/.Xresources : Ce fichier est utilisé par le serveur X pour configurer ses applications clientes.  

    ~~~
    !-------------------------------------------------------------------------------
    ! Xft settings
    !-------------------------------------------------------------------------------

    Xft.dpi:        240
    Xft.antialias:  true
    Xft.rgba:       rgb
    Xft.hinting:    true
    Xft.hintstyle:  hintslight
    Xft.autohint:   false
    Xft.lcdfilter:  lcddefault
    ~~~

    Il faut ensuite utiliser la commande xrdb pour appliquer ces paramètres :

    ~~~
    xrdb -merge ~/.Xresources
    ~~~

 ## console grub ...

~~~
Boot menu uses a tiny font (GRUB menu)
            Best way to address this would be to have GRUB automatically select the right font, but GRUB is kept small on purpose, or to install a larger GRUB font when installing Ubuntu
            Workaround: let the default GRUB terminal driver, gfxterm, switch to a supported mode such as 1600x1200 (NB to list video modes, disable secure mode in the BIOS and run the videoinfo command in the GRUB shell accessed by pressing "c" from the GRUB menu):

                Set GRUB_GFXMODE=1600x1200i in /etc/default/grub and run update-grub 
        Splash screen uses too small logo and somewhat too small fonts (Plymouth)
            Plymouth has logic to detect the proper scaling to apply, but it's still too small; workaround by forcing the scale on the kernel cmdline:

                Add plymouth.force-scale=3 to GRUB_CMDLINE_LINUX= in /etc/default/grub and run update-grub 
        Console terminal uses too small fonts

            Note that the package shipping the Ubuntu Monospace font for the terminal, fonts-ubuntu-console, is not installed by default and only ships 8x16 fonts

            Change the font by running dpkg-reconfigure console-setup, select a font face that supports a larger font size, for instance the Terminus font, and select a large font size such as 16x32; you need to reboot for the new font to be set 
~~~


# activate hibernation in system

disable secure boot to permit Hibernate

souce : [](https://doc.ubuntu-fr.org/tutoriel/activer_hibernation)

~~~
update-initramfs -u -k $(uname -r)
pm-hibernate
~~~

Hiberner au bout de x secondes après une mise en veille
[](https://doc.ubuntu-fr.org/veille_et_hibernation)

~~~
printf "RESUME=UUID=$(blkid | awk -F\" '/swap/ {print $2}')\n" | head -n 1| sudo tee /etc/initramfs-tools/conf.d/resume
update-initramfs -u -k all
~~~

change /etc/default/grub : add your resume UUID into GRUB_CMDLINE_LINUX_DEFAULT

~~~
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash resume=UUID=75034ff5-...-9e4564e16d34"
~~~

kernel lockdown prevent hibernation :

[](https://unix.stackexchange.com/questions/591488/why-does-the-kernel-lockdown-prevent-hibernation)
[](https://rephlex.de/blog/2019/12/27/how-to-hibernate-and-resume-from-swap-file-in-ubuntu-20-04-using-full-disk-encryption/)

## encrypt swap partition

~~~
apt install cryptsetup-bin
~~~

# rotate

~~~
apt install iio-sensor-proxy
~~~

install : screen rotator : https://github.com/GuLinux/ScreenRotator

# zpool trouble mount it from live systeme

~~~
boot on usb drive
zpool import -R /mnt rpool
zfs load-key rpool
zfs mount rpool/USERDATA/nomad_e8bdbt
~~~